<?php
$this->PageTitle = 'Metas de Vendas &raquo; Visualizar';

if (!empty($model->MetaTransferidaOriginal)) {
    $revendaTransferencia = Revendas::model()->findByPk($model->MetaTransferidaOriginal->MEV_FOREIGN_KEY);
    $linkMeta = CHtml::link(
        strtoupper($revendaTransferencia->REV_FANTASIA),
        array(
            "metasVendas/view",
            "id" => $model->MetaTransferidaOriginal->MEV_ID,
        ),
        array(
            'target' => '_blank'
        )
    );
    $msg = "Essa Unidade de Negócios teve a meta transferidada de <b>{$linkMeta}</b>";
    echo FaHtml::alert($msg, 'info', 'info-circle', false);
}
if (!empty($model->MetaTransferidaDestino)) {
    $revendaTransferencia = Revendas::model()->findByPk($model->MetaTransferidaDestino->MEV_FOREIGN_KEY);
    $linkMeta = CHtml::link(
        strtoupper($revendaTransferencia->REV_FANTASIA),
        array(
            "metasVendas/view",
            "id" => $model->MetaTransferidaDestino->MEV_ID,
        ),
        array(
            'target' => '_blank'
        )
    );
    $msg = "Essa Unidade de Negócios teve a meta transferidada para <b>{$linkMeta}</b>";
    echo FaHtml::alert($msg, 'info', 'info-circle', false);
}

$condition = (isset($model->MEV_FOREIGN_KEY)) ? "MEV_FOREIGN_KEY = " . $model->MEV_FOREIGN_KEY : "MEV_FOREIGN_KEY IS NULL";
$outraMeta = MetasVendas::model()->find("
    MEV_ANO = {$model->MEV_ANO} AND
    MEV_TIPO = {$model->MEV_TIPO} AND
    MEV_TIPO_COBRANCA != {$model->MEV_TIPO_COBRANCA} AND
    {$condition}
");
if ($model->MEV_TIPO_COBRANCA == MetasVendas::META_MENSALIDADE) {
    $metaM = $model;
    $metaI = $outraMeta;
} else {
    $metaI = $model;
    $metaM = $outraMeta;
}

$this->renderPartial('_view', array(
    'id' => $model->MEV_ID,
    'nome' => $model->getRelacionado(true),
    'ano' => $model->MEV_ANO,
    'metaMensalidade' => $metaM ?? false,
    'metaImplantacao' => $metaI ?? false,
));

$cs = Yii::app()->getClientScript();

$css = <<<CSS
    .table h1 {
        padding-bottom: 0;
    }
    .table {
        background-color: #fff;
    }
    .table th {
        background-color: #e2e2e2;
    }
CSS;

$cs->registerCss('view_metas', $css);

